## ros-melodic-rospy-tutorials 0.9.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rospy_tutorials)

find_package(catkin REQUIRED COMPONENTS message_generation std_msgs)

add_message_files(DIRECTORY msg FILES Floats.msg HeaderString.msg)
add_service_files(DIRECTORY srv FILES AddTwoInts.srv BadTwoInts.srv)

generate_messages(DEPENDENCIES std_msgs)

catkin_package(CATKIN_DEPENDS message_runtime std_msgs)

# do not wildcard install files since the root folder of the package will contain a debian folder for releasing
catkin_install_python(PROGRAMS
  001_talker_listener/listener
  001_talker_listener/listener.py
  001_talker_listener/talker
  001_talker_listener/talker.py
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/001_talker_listener
)
install(FILES
  001_talker_listener/README
  001_talker_listener/talker_listener.launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/001_talker_listener
)

catkin_install_python(PROGRAMS
  002_headers/listener_header.py
  002_headers/talker_header.py
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/002_headers
)
install(FILES
  002_headers/headers.launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/002_headers
)

catkin_install_python(PROGRAMS
  003_listener_with_user_data/listener_with_user_data.py
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/003_listener_with_user_data
)
install(FILES
  003_listener_with_user_data/listener_with_user_data.launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/003_listener_with_user_data
)

catkin_install_python(PROGRAMS
  004_listener_subscribe_notify/listener_subscribe_notify.py
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/004_listener_subscribe_notify
)
install(FILES
  004_listener_subscribe_notify/listener_subscribe_notify.launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/004_listener_subscribe_notify
)

catkin_install_python(PROGRAMS
  005_add_two_ints/add_two_ints_client
  005_add_two_ints/add_two_ints_server
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/005_add_two_ints
)

catkin_install_python(PROGRAMS
  006_parameters/param_talker.py
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/006_parameters
)
install(FILES
  006_parameters/param_talker.launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/006_parameters
)

catkin_install_python(PROGRAMS
  007_connection_header/client_connection_header.py
  007_connection_header/listener_connection_header.py
  007_connection_header/server_connection_header.py
  007_connection_header/talker_connection_header.py
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/007_connection_header
)
install(FILES
  007_connection_header/connection_header.launch
  007_connection_header/README
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/007_connection_header
)

catkin_install_python(PROGRAMS
  008_on_shutdown/publish_on_shutdown.py
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/008_on_shutdown
)
install(FILES
  008_on_shutdown/on_shutdown.launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/008_on_shutdown
)

catkin_install_python(PROGRAMS
  009_advanced_publish/advanced_publish.py
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/009_advanced_publish
)
install(FILES
  009_advanced_publish/advanced_publish.launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/009_advanced_publish
)

if(CATKIN_ENABLE_TESTING)
  find_package(rostest)
  foreach(T
      test/test-add-two-ints.launch
      test/test-peer-subscribe-notify.launch
      test/test-add-two-ints-with-roscpp-server.launch
      test/test-talker-listener.launch
      test/test-talker-listener-with-roscpp.launch
      test/test-talker-listener-with-timer.launch
      test/test-on-shutdown.launch
      test/test-connection-header.launch)
     add_rostest(${T})
  endforeach()
endif()

=== debian/changelog ===
ros-melodic-rospy-tutorials (0.9.3-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 04 Aug 2020 07:00:00 -0000

ros-melodic-rospy-tutorials (0.9.2-1stretch) stretch; urgency=high

  * add print parenthesis for Python 3 (#82 <https://github.com/ros/ros_tutorials/issues/82>)
  * bump CMake minimum version to avoid CMP0048 warning (#81 <https://github.com/ros/ros_tutorials/issues/81>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 26 Feb 2020 08:00:00 -0000

ros-melodic-rospy-tutorials (0.9.1-1stretch) stretch; urgency=high

  * add missing dependency for tests (#50 <https://github.com/ros/ros_tutorials/issues/50>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 04 Mar 2019 08:00:00 -0000

ros-melodic-rospy-tutorials (0.9.0-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 11 Apr 2018 07:00:00 -0000

ros-melodic-rospy-tutorials (0.8.1-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 27 Jul 2017 07:00:00 -0000

ros-melodic-rospy-tutorials (0.8.0-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 10 Mar 2017 08:00:00 -0000

ros-melodic-rospy-tutorials (0.7.1-1stretch) stretch; urgency=high

  * add example of periodical publishing with rospy.Timer (#34 <https://github.com/ros/ros_tutorials/issues/34>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 24 Oct 2016 07:00:00 -0000

ros-melodic-rospy-tutorials (0.7.0-1stretch) stretch; urgency=high

  * fix minor misleading comment (#27 <https://github.com/ros/ros_tutorials/pull/27>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Mar 2016 07:00:00 -0000

ros-melodic-rospy-tutorials (0.6.1-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 19 Sep 2015 07:00:00 -0000

ros-melodic-rospy-tutorials (0.6.0-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 21 May 2015 07:00:00 -0000

ros-melodic-rospy-tutorials (0.5.3-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 04 May 2015 07:00:00 -0000

ros-melodic-rospy-tutorials (0.5.2-1stretch) stretch; urgency=high

  * update code style of examples (#18 <https://github.com/ros/ros_tutorials/pull/18>, #19 <https://github.com/ros/ros_tutorials/pull/19>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 23 Dec 2014 08:00:00 -0000

ros-melodic-rospy-tutorials (0.5.1-1stretch) stretch; urgency=high

  * fix install when building Debian package

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 08 May 2014 07:00:00 -0000

ros-melodic-rospy-tutorials (0.5.0-1stretch) stretch; urgency=high

  * make rostest in CMakeLists optional (ros/rosdistro#3010 <https://github.com/ros/rosdistro/issues/3010>)
  * use queue_size for rospy.Publisher (ros/ros_comm#169 <https://github.com/ros/ros_comm/issues/169>)
  * use catkin_install_python() to install Python scripts (#17 <https://github.com/ros/ros_tutorials/issues/17>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 07 May 2014 07:00:00 -0000

ros-melodic-rospy-tutorials (0.4.3-1stretch) stretch; urgency=high

  * python 3 compatibility (#13 <https://github.com/ros/ros_tutorials/issues/13>)
  * remove load_manifest calls

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 07 Jan 2014 08:00:00 -0000

ros-melodic-rospy-tutorials (0.4.2-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 04 Oct 2013 07:00:00 -0000

ros-melodic-rospy-tutorials (0.4.1-1stretch) stretch; urgency=high

  * check for CATKIN_ENABLE_TESTING

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 11 Sep 2013 07:00:00 -0000

ros-melodic-rospy-tutorials (0.4.0-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 06 Sep 2013 07:00:00 -0000

ros-melodic-rospy-tutorials (0.3.13-1stretch) stretch; urgency=high

  * check for CATKIN_ENABLE_TESTING
  * remove mainpage.dox

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 Aug 2013 07:00:00 -0000

ros-melodic-rospy-tutorials (0.3.12-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 29 Mar 2013 07:00:00 -0000

ros-melodic-rospy-tutorials (0.3.11-1stretch) stretch; urgency=high

  * update email in package.xml

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 21 Mar 2013 07:00:00 -0000

ros-melodic-rospy-tutorials (0.3.10-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 Mar 2013 08:00:00 -0000

ros-melodic-rospy-tutorials (0.3.9-1stretch) stretch; urgency=high

  * modified dep type of catkin

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 21 Dec 2012 08:00:00 -0000

ros-melodic-rospy-tutorials (0.3.8-1stretch) stretch; urgency=high

  * add missing downstream depend
  * switched from langs to message_* packages

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 13 Dec 2012 08:00:00 -0000

ros-melodic-rospy-tutorials (0.3.7-1stretch) stretch; urgency=high

  * fix node names (fix #2 <https://github.com/ros/ros_tutorials/issues/2>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 Dec 2012 08:00:00 -0000

ros-melodic-rospy-tutorials (0.3.6-1stretch) stretch; urgency=high

  * fix catkin function order

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 30 Oct 2012 07:00:00 -0000

ros-melodic-rospy-tutorials (0.3.5-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 18 Oct 2012 07:00:00 -0000

ros-melodic-rospy-tutorials (0.3.4-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 06 Oct 2012 07:00:00 -0000

ros-melodic-rospy-tutorials (0.3.3-1stretch) stretch; urgency=high

  * added missing dep to rostest
  * fixed missing genmsg stuff
  * updated to latest catkin
  * updated package.xml files
  * added package.xml files

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 05 Oct 2012 07:00:00 -0000

ros-melodic-rospy-tutorials (0.3.2-1stretch) stretch; urgency=high

  * updated catkin variables



=== debian/control ===
Source: ros-melodic-rospy-tutorials
Section: misc
Priority: optional
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin (>= 0.5.68), ros-melodic-message-generation, ros-melodic-roscpp-tutorials, ros-melodic-rostest, ros-melodic-std-msgs
Homepage: http://www.ros.org/wiki/rospy_tutorials
Standards-Version: 3.9.2

Package: ros-melodic-rospy-tutorials
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-message-runtime, ros-melodic-rospy, ros-melodic-std-msgs
Description: This package attempts to show the features of ROS python API step-by-step, including using messages, servers, parameters, etc.
 These tutorials are compatible with the nodes in roscpp_tutorial.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-rospy-tutorials//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
